> It's the PHP 5.3 generation with --> lots of automagical things <-- and huge full stack frameworks that will be a problem.

Like what?